PHP Manual
Prev |  | Next

# imap_close

(PHP 3, PHP 4, PHP 5)

imap_close -- Close an IMAP stream

## Description

bool imap_close ( resource imap_stream [, int flag] )

Closes the imap stream.

## Parameters

`imap_stream`

  An IMAP stream returned by imap_open().

`flag`

  If set to `CL_EXPUNGE`, the function will silently expunge the mailbox before closing, removing all messages marked for deletion. You can achieve the same thing by using imap_expunge()

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

imap_open()

Prev | Home | Next
imap_clearflag_full | Up | imap_createmailbox